%define ispelldir	%_libdir/ispell
%define ispell_version	3.2.06
%define aspell_version	0.60.0

# Pass "--without combined" to disable building of the combined ispell
# dictionary with 'ie' and 'io' spelling (which takes a lot of time and
# needs about 600M in $TMPDIR).
%def_with combined

Name: ispell-ru-lebedev
Version: 0.99f9
Release: alt1

Packager: Sergey Vlasov <vsu@altlinux.ru>

Summary: Russian ispell dictionary -- KOI8-R, 'io' and 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - KOI8-R, разрешена замена 'ё' на 'е'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - KOI8-R, дазволена зьмена 'ё' на 'е'
License: distributable
Group: System/Internationalization
URL: http://scon155.phys.msu.su/~swan/orthography.html

# Note: ispell and aspell hash files are architecture-dependent.
# Do not put BuildArch: noarch here.

Source: ftp://scon155.phys.msu.su/pub/russian/ispell/rus-ispell-%version.tar.bz2
Source2: rus-ispell-aspellfiles-0.3.tar.bz2

Source100: %name.alternatives
Source101: %name-ie.alternatives
Source102: %name-io.alternatives
Source103: %name-cp1251.alternatives
Source104: %name-ie-cp1251.alternatives
Source105: %name-io-cp1251.alternatives
Source106: aspell-ru-lebedev.alternatives


PreReq: alternatives >= 0:0.2.0-alt0.12
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru

# Automatically added by buildreq on Sun Jun 12 2005
BuildRequires: aspell ispell

BuildPreReq: alternatives >= 0:0.2.0-alt0.12
BuildPreReq: ispell >= %ispell_version
BuildPreReq: aspell >= %aspell_version

# The real ispell is required - not the aspell-provided emulation.
BuildConflicts:	aspell-ispell


%package cp1251
Summary: Russian ispell dictionary -- CP1251, 'io' and 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - CP1251, разрешена замена 'ё' на 'е'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - CP1251, дазволена зьмена 'ё' на 'е'
Group: System/Internationalization

PreReq: alternatives >= 0:0.2.0-alt0.12
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru-cp1251 = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru-cp1251

%package -n aspell-ru-lebedev
Summary: Russian dictionary for GNU Aspell
Summary(ru_RU.UTF-8): Словарь русского языка для GNU Aspell
Summary(be_BY.UTF-8): Слоўнік рускае мовы для GNU Aspell
Group: System/Internationalization

PreReq: alternatives >= 0:0.2.0-alt0.12
Requires: aspell >= %aspell_version
Provides: aspell-dictionary, aspell-ru = %version
Provides: aspell-ru-lebedev-common = %version-%release
Obsoletes: aspell-ru, aspell-ru-lebedev-ie, aspell-ru-lebedev-io
Obsoletes: aspell-ru-lebedev-common
Obsoletes: aspell-ru-lebedev-common-ie, aspell-ru-lebedev-common-io


%package ie
Summary: Russian ispell dictionary -- KOI8-R, only 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - KOI8-R, без буквы 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - KOI8-R, бяз літары 'ё'
Group: System/Internationalization
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru

%package ie-cp1251
Summary: Russian ispell dictionary -- CP1251, only 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - CP1251, без буквы 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - CP1251, бяз літары 'ё'
Group: System/Internationalization
PreReq: alternatives >= 0:0.2.0-alt0.12
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru-cp1251 = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru-cp1251


%package io
Summary: Russian ispell dictionary -- KOI8-R, 'io' required
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - KOI8-R, строгое употребление 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - KOI8-R, абавязковае выкарыстаньне літары 'ё'
Group: System/Internationalization
PreReq: alternatives >= 0:0.2.0-alt0.12
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru

%package io-cp1251
Summary: Russian ispell dictionary -- CP1251, 'io' required
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - CP1251, строгое употребление 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - CP1251, абавязковае выкарыстаньне літары 'ё'
Group: System/Internationalization
PreReq: alternatives >= 0:0.2.0-alt0.12
Requires: ispell >= %ispell_version
Provides: ispell-dictionary
Provides: ispell-ru-cp1251 = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru-cp1251

%description
Russian dictionary for ispell in KOI8-R encoding, created by
Alexander Lebedev.  This variant allows spellings with and without
the 'io' letter.

This dictionary is installed under the name "russian-lebedev".
Default Russian dictionary in KOI8-R encoding (with the name
"russian") is selected using alternatives subsystem.

%description -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке KOI8-R, подготовленный
Александром Лебедевым.  Этот вариант словаря допускает написание слов
как с использованием буквы 'ё', так и с заменой её на букву 'е'.

Этот словарь устанавливается под именем "russian-lebedev".  Словарь для
проверки русских текстов в кодировке KOI8-R по умолчанию (с именем
"russian") выбирается с помощью подсистемы альтернатив.

%description -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні KOI8-R, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку дазваляе напісаньне словаў
як з выкарыстаньнем літары 'ё', гэдак і са зьменай яе на літару 'е'.

Гэты слоўнік усталёўваецца пад назвай "russian-lebedev". Дапомны слоўнік для
праверкі рускіх тэкстаў у кадаваньні KOI8-R (з назвай
"russian") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.



%description cp1251
Russian dictionary for ispell in CP1251 encoding, created by
Alexander Lebedev.  This variant allows spellings with and without
the 'io' letter.

This dictionary is installed under the name "russianw-lebedev".
Default Russian dictionary in CP1251 encoding (with the name
"russianw") is selected using alternatives subsystem.

%description cp1251 -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке CP1251, подготовленный
Александром Лебедевым.  Этот вариант словаря допускает написание слов
как с использованием буквы 'ё', так и с заменой её на букву 'е'.

Этот словарь устанавливается под именем "russianw-lebedev".  Словарь для
проверки русских текстов в кодировке CP1251 по умолчанию (с именем
"russianw") выбирается с помощью подсистемы альтернатив.

%description -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні CP1251, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку дазваляе напісаньне словаў
як з выкарыстаньнем літары 'ё', гэдак і са зьменай яе на літару 'е'.

Гэты слоўнік усталёўваецца пад назвай "russianw-lebedev". Дапомны слоўнік для
праверкі рускіх тэкстаў у кадаваньні CP1251 (з назвай
"russianw") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.

%description -n aspell-ru-lebedev
Russian dictionary for use with aspell.  The word list for this
dictionary was created by Alexander Lebedev.

There are three spelling variants available:

 - "ru-lebedev" - allows spellings with and without the 'io' letter;
 - "ru-lebedev-ie" - allows only spellings without the 'io' letter;
 - "ru-lebedev-io" - requires strict use of the 'io' letter.

You can select one of these spelling variants as the default Russian
dictionary for GNU Aspell (with the name "ru") using the alternatives
subsystem.

%description -n aspell-ru-lebedev -l ru_RU.UTF-8
Словарь русского языка для GNU Aspell на основе словаря для ispell,
подготовленного Александром Лебедевым.

Доступны три варианта словаря:

 - "ru-lebedev" - допускает написание слов как с использованием буквы
   'ё', так и с заменой её на букву 'е';
 - "ru-lebedev-ie" - не допускает использования буквы 'ё' (требует
   замены её на букву 'е');
 - "ru-lebedev-io" - требует обязательного использования буквы 'ё'
   (замена её на букву 'е' не допускается).

Выбор одного из этих вариантов в качестве словаря русского языка по
умолчанию (с именем "ru") осуществляется с помощью подсистемы
альтернатив.

%description -n aspell-ru-lebedev -l be_BY.UTF-8
Слоўнік рускае мовы для GNU Aspell на базе слоўніку для ispell,
падрыхтаванага Аляксандрам Лебедзевым.

Даступныя тры варыянты слоўніку:

 - "ru-lebedev" - дазваляе напісаньне словаў як з выкарыстаньнем літары
   'ё', гэдак і са зьменай яе на літару 'е';
 - "ru-lebedev-ie" - не дазваляе выкарыстаньне літары 'ё' (патрабуе
   зьмены яе на літару 'е');
 - "ru-lebedev-io" - патрабуе абавязковае выкарыстаньне літары 'ё'
   (зьмена яе на літару 'е' не дазваляецца).

Выбар аднаго з гэтых варыянтаў у якасьці дапомнага слоўніку рускае мовы
(з назвай "ru") зьдзяйсьняецца з дапамогай падсыстэмы альтэрнатываў.


%description ie
Russian dictionary for ispell in KOI8-R encoding, created by
Alexander Lebedev.  This variant allows only spellings without
the 'io' letter.

This dictionary is installed under the name "russian-lebedev-ie".
Default Russian dictionary in KOI8-R encoding (with the name
"russian") is selected using alternatives subsystem.

%description ie -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке KOI8-R, подготовленный
Александром Лебедевым.  Этот вариант словаря не допускает использования
буквы 'ё' (требует замены её на букву 'е').

Этот словарь устанавливается под именем "russian-lebedev-ie".  Словарь
для проверки русских текстов в кодировке KOI8-R по умолчанию (с именем
"russian") выбирается с помощью подсистемы альтернатив.

%description ie -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні KOI8-R, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку не дазваляе напісаньне 
словаў з выкарыстаньнем літары 'ё'.

Гэты слоўнік усталёўваецца пад назвай "russian-lebedev-ie". Дапомны слоўнік
для праверкі рускіх тэкстаў у кадаваньні KOI8-R (з назвай "russian")
выбіраецца з дапамогаю падсыстэмы альтэрнатываў.

%description ie-cp1251
Russian dictionary for ispell in CP1251 encoding, created by
Alexander Lebedev.  This variant allows only spellings without
the 'io' letter.

This dictionary is installed under the name "russianw-lebedev-ie".
Default Russian dictionary in CP1251 encoding (with the name
"russianw") is selected using alternatives subsystem.

%description ie-cp1251 -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке CP1251, подготовленный
Александром Лебедевым.  Этот вариант словаря не допускает использования
буквы 'ё' (требует замены её на букву 'е').

Этот словарь устанавливается под именем "russianw-lebedev-ie".  Словарь
для проверки русских текстов в кодировке CP1251 по умолчанию (с именем
"russianw") выбирается с помощью подсистемы альтернатив.

%description ie-cp1251 -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні CP1251, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку не дазваляе напісаньне 
словаў з выкарыстаньнем літары 'ё'.

Гэты слоўнік усталёўваецца пад назвай "russianw-lebedev-ie". Дапомны слоўнік
для праверкі рускіх тэкстаў у кадаваньні CP1251 (з назвай "russianw")
выбіраецца з дапамогаю падсыстэмы альтэрнатываў.


%description io
Russian dictionary for ispell in KOI8-R encoding, created by
Alexander Lebedev.  This variant requires strict use of the 'io'
letter.

This dictionary is installed under the name "russian-lebedev-io".
Default Russian dictionary in KOI8-R encoding (with the name
"russian") is selected using alternatives subsystem.

%description io -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке KOI8-R, подготовленный
Александром Лебедевым.  Этот вариант словаря требует обязательного
использования буквы 'ё' (замена её на букву 'е' не допускается).

Этот словарь устанавливается под именем "russian-lebedev-io".  Словарь
для проверки русских текстов в кодировке KOI8-R по умолчанию (с именем
"russian") выбирается с помощью подсистемы альтернатив.

%description io -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні KOI8-R, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку патрабуе напісаньне 
словаў з выкарыстаньнем літары 'ё' (замена на літару 'е' не дазваляецца).

Гэты слоўнік усталёўваецца пад назвай "russian-lebedev-io". Дапомны слоўнік
для праверкі рускіх тэкстаў у кадаваньні KOI8-R (з назвай "russian")
выбіраецца з дапамогаю падсыстэмы альтэрнатываў.

%description io-cp1251
Russian dictionary for ispell in CP1251 encoding, created by
Alexander Lebedev.  This variant requires strict use of the 'io'
letter.

This dictionary is installed under the name "russianw-lebedev-io".
Default Russian dictionary in CP1251 encoding (with the name
"russianw") is selected using alternatives subsystem.

%description io-cp1251 -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке CP1251, подготовленный
Александром Лебедевым.  Этот вариант словаря требует обязательного
использования буквы 'ё' (замена её на букву 'е' не допускается).

Этот словарь устанавливается под именем "russianw-lebedev-io".  Словарь
для проверки русских текстов в кодировке CP1251 по умолчанию (с именем
"russianw") выбирается с помощью подсистемы альтернатив.

%description io-cp1251 -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні CP1251, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку патрабуе напісаньне 
словаў з выкарыстаньнем літары 'ё' (замена на літару 'е' не дазваляецца).

Гэты слоўнік усталёўваецца пад назвай "russianw-lebedev-io". Дапомны слоўнік
для праверкі рускіх тэкстаў у кадаваньні CP1251 (з назвай "russianw")
выбіраецца з дапамогаю падсыстэмы альтэрнатываў.


%prep
%setup -c -a 2


%build

./trans koi win < README.koi > README.cp1251

# BuildIspellEncoding <spelling> <options> <encoding> <encoding-suffix>
BuildIspellEncoding()
{
	%__make clean
	%__make "$3" $2
	if [ -n "$1" ] ; then
		suffix="-$1"
	else
		suffix=""
	fi
	%__cp -a russian.aff "russian$4-lebedev$suffix.aff"
	%__cp -a russian.hash "russian$4-lebedev$suffix.hash"
	# Note: do not put "make clean" here -- the intermediate files
	# are needed later to generate the expanded word list for aspell
	# or combined dictionary.
}

# BuildWordList <spelling>
BuildWordList()
{
	ispell -d ./russian.hash -e < russian.dict | \
		tr ' ' '\n' | grep -v '^$' | \
		sort -u > "$1.list"
}

# BuildAspellHash <part>
BuildAspellHash()
{
	aspell --lang=ru-lebedev create master ./ru-lebedev-"$1"-only.rws \
		< ru-lebedev-"$1"-only.list
}

# BuildSpelling <spelling> <options>
BuildSpelling()
{
	BuildIspellEncoding "$1" "$2" "win" "w"
	BuildIspellEncoding "$1" "$2" "koi" ""
	# Note: "koi" must be last -- its files are used in BuildWordList
	BuildWordList "$1"
	make clean
}

BuildSpelling "ie" ""
BuildSpelling "io" "YO=1"

# Now we have ie.list and io.list.
# We want to create a combined dictionary which will allow spellings
# either with 'io' or without it.

# For aspell we build three partial dictionaries and combine them with .multi
# files.
comm -12 ie.list io.list | ./sortkoi8 > ru-lebedev-common-only.list
comm -13 ie.list io.list | ./sortkoi8 > ru-lebedev-io-only.list
comm -23 ie.list io.list | ./sortkoi8 > ru-lebedev-ie-only.list
BuildAspellHash common
BuildAspellHash io
BuildAspellHash ie

%if_with combined

	# Prepare affix files for the combined ispell dictionary with
	# 'ie' and 'io'.
	%__cp -a russian-lebedev-io.aff  russian-lebedev.aff
	%__cp -a russianw-lebedev-io.aff russianw-lebedev.aff

	# For ispell we need to build a combined word list and run
	# munchlist on it.
	%__cat ie.list io.list | sort -u > combined.list
	munchlist -l ./russian-lebedev.aff -v combined.list > combined.dict

	# For some reason munchlist loses several one-letter words.
	# Find these lost words and add them back.  (Also do some sanity
	# checking of the generated dictionary.)
	buildhash ./combined.dict ./russian-lebedev.aff ./combined.hash
	ispell -d ./combined.hash -e < combined.dict | \
		tr ' ' '\n' | grep -v '^$' | sort -u > combined.result
	comm -13 combined.list combined.result > combined.bad
	[ -s combined.bad ] && {
		echo "Error: generated dictionary accepts bad words!" 1>&2
		exit 1
	}
	comm -23 combined.list combined.result > combined.missing
	%__cat combined.dict combined.missing | ./sortkoi8 | \
		uniq > russian-lebedev.dict
	./trans koi win < russian-lebedev.dict > russianw-lebedev.dict

	# Now build the combined dictionary hash for ispell
	buildhash ./russian-lebedev.dict  ./russian-lebedev.aff  \
		./russian-lebedev.hash
	buildhash ./russianw-lebedev.dict ./russianw-lebedev.aff \
		./russianw-lebedev.hash

%endif

%install
install -d $RPM_BUILD_ROOT%ispelldir
install -d $RPM_BUILD_ROOT%_libdir/aspell
install -d $RPM_BUILD_ROOT%_datadir/aspell
install -d $RPM_BUILD_ROOT%_datadir/pspell

# Install ispell hash and affix files
%if_with combined
for spelling in "" "ie" "io"
%else
for spelling in "ie" "io"
%endif
do
	if [ -n "$spelling" ] ; then
		suffix="-$spelling"
	else
		suffix=""
	fi
	%__install -p -m 644 russian{,w}-lebedev"$suffix".{aff,hash}	\
		$RPM_BUILD_ROOT%ispelldir
done

# Install aspell language data files
%__install -p -m 644 ru-lebedev.dat $RPM_BUILD_ROOT%_datadir/aspell
%__install -p -m 644 ru-lebedev_phonet.dat $RPM_BUILD_ROOT%_datadir/aspell

# Install aspell hash files
for i in common ie io ; do
	%__install -p -m 644 ru-lebedev-"$i"-only.rws \
		$RPM_BUILD_ROOT%_libdir/aspell
done

# Install aspell .multi and .alias files
for spelling in "" "ie" "io" ; do
	if [ -n "$spelling" ] ; then
		i="-$spelling"
	else
		i=""
	fi
	%__install -p -m 644 ru-lebedev"$i".multi russian-lebedev"$i".alias \
		$RPM_BUILD_ROOT%_libdir/aspell
done



%__install -d $RPM_BUILD_ROOT%_altdir
%__install -p -m 644 %SOURCE100 $RPM_BUILD_ROOT%_altdir/%name
%__install -p -m 644 %SOURCE101 $RPM_BUILD_ROOT%_altdir/%name-ie
%__install -p -m 644 %SOURCE102 $RPM_BUILD_ROOT%_altdir/%name-io
%__install -p -m 644 %SOURCE103 $RPM_BUILD_ROOT%_altdir/%name-cp1251
%__install -p -m 644 %SOURCE104 $RPM_BUILD_ROOT%_altdir/%name-ie-cp1251
%__install -p -m 644 %SOURCE105 $RPM_BUILD_ROOT%_altdir/%name-io-cp1251
%__install -p -m 644 %SOURCE106 $RPM_BUILD_ROOT%_altdir/aspell-ru-lebedev



%post
%register_alternatives %name -- ispell-ru ispell-ru.aff

%triggerpostun -- ispell-ru, ispell-ru-lebedev < 0.99e9-alt1
%register_alternatives %name -- ispell-ru ispell-ru.aff

%preun
%unregister_alternatives %name



%post io
%register_alternatives %name-io -- ispell-ru ispell-ru.aff

%triggerpostun io -- ispell-ru, ispell-ru-lebedev-io < 0.99e9-alt1
%register_alternatives %name-io -- ispell-ru ispell-ru.aff

%preun io
%unregister_alternatives %name-io



%post ie
%register_alternatives %name-ie -- ispell-ru ispell-ru.aff

%triggerpostun ie -- ispell-ru, ispell-ru-lebedev-ie < 0.99e9-alt1
%register_alternatives %name-ie -- ispell-ru ispell-ru.aff

%preun ie
%unregister_alternatives %name-ie



%post cp1251
%register_alternatives %name-cp1251 -- ispell-ru-cp1251 ispell-ru-cp1251.aff

%triggerpostun cp1251 -- ispell-ru-cp1251, ispell-ru-lebedev-cp1251 < 0.99e9-alt1
%register_alternatives %name-cp1251 -- ispell-ru-cp1251 ispell-ru-cp1251.aff

%preun cp1251
%unregister_alternatives %name-cp1251



%post io-cp1251
%register_alternatives %name-io-cp1251 -- ispell-ru-cp1251 ispell-ru-cp1251.aff

%triggerpostun io-cp1251 -- ispell-ru-cp1251, ispell-ru-lebedev-io-cp1251 < 0.99e9-alt1
%register_alternatives %name-io-cp1251 -- ispell-ru-cp1251 ispell-ru-cp1251.aff

%preun io-cp1251
%unregister_alternatives %name-io-cp1251



%post ie-cp1251
%register_alternatives %name-ie-cp1251 -- ispell-ru-cp1251 ispell-ru-cp1251.aff

%triggerpostun ie-cp1251 -- ispell-ru-cp1251, ispell-ru-lebedev-ie-cp1251 < 0.99e9-alt1
%register_alternatives %name-ie-cp1251 -- ispell-ru-cp1251 ispell-ru-cp1251.aff

%preun ie-cp1251
%unregister_alternatives %name-ie-cp1251



%post -n aspell-ru-lebedev
%register_alternatives aspell-ru-lebedev -- aspell-ru aspell-ru.multi

%triggerpostun -n aspell-ru-lebedev -- aspell-ru, aspell-ru-lebedev < 0.99e9-alt1
%register_alternatives aspell-ru-lebedev -- aspell-ru aspell-ru.multi

%preun -n aspell-ru-lebedev
%unregister_alternatives aspell-ru-lebedev




%if_with combined

%files
%doc LICENSE README README.koi
%_altdir/%name
%ispelldir/russian-lebedev.*

%files cp1251
%doc LICENSE README README.cp1251
%_altdir/%name-cp1251
%ispelldir/russianw-lebedev.*

%endif

%files -n aspell-ru-lebedev
%doc LICENSE LICENSE.phonet README README.koi
%_altdir/aspell-ru-lebedev
%_libdir/aspell/*
%_datadir/aspell/*

%files ie
%doc LICENSE README README.koi
%_altdir/%name-ie
%ispelldir/russian-lebedev-ie.*

%files ie-cp1251
%doc LICENSE README README.cp1251
%_altdir/%name-ie-cp1251
%ispelldir/russianw-lebedev-ie.*


%files io
%doc LICENSE README README.koi
%_altdir/%name-io
%ispelldir/russian-lebedev-io.*

%files io-cp1251
%doc LICENSE README README.cp1251
%_altdir/%name-io-cp1251
%ispelldir/russianw-lebedev-io.*


%changelog
* Sun Jun 12 2005 Sergey Vlasov <vsu@altlinux.ru> 0.99f9-alt1
- Version 0.99f9.
- Converted alternatives config files to new format (0.2.0).
- Updated BuildRequires.

* Thu Jul 29 2004 Sergey Vlasov <vsu@altlinux.ru> 0.99f7-alt1
- Version 0.99f7.
- Fixed aspell version dependencies.

* Thu Jul 29 2004 Vital Khilko <vk@altlinux.ru> 0.99f6-alt2
- NMU to fix #4441 and rebuild for new aspell-0.60
- fixed package descriptions
- added belarusian translation of descriptions

* Sun Nov 23 2003 Sergey Vlasov <vsu@altlinux.ru> 0.99f6-alt1
- Version 0.99f6.
- Updated for new aspell (no more pspell, different dictionary names).
- Updated BuildRequires.
- Spec file cleanup.
- Added Russian descriptions.
- Always build the aspell dictionary (no more --without aspell).

* Tue May 06 2003 Stanislav Ievlev <inger@altlinux.ru> 0.99f2-alt1.1
- move to new alternatives scheme

* Fri Oct 18 2002 Sergey Vlasov <vsu@altlinux.ru> 0.99f2-alt1
- Version 0.99f2.
- Updated URLs.

* Tue Apr 02 2002 Sergey Vlasov <vsu@altlinux.ru> 0.99e9-alt1
- Version 0.99e9.
- Added aspell phonetic rules file from Andrey Grozin.
- Combined all aspell dictionaries into one package.
- Fixed bugs in %%preun scripts (alternatives were lost after upgrading).
- Lots of %%triggerpostun to clean up after my %%preun bugs in the previous
  version :-(

* Sun Dec 02 2001 Sergey Vlasov <vsu@altlinux.ru> 0.99e5-alt1
- First spec
